=== debian/changelog ===
ltt-control (2.14.1-1) unstable; urgency=medium

  * [68e9451] salsa-ci: extend build timeout for test suite
  * [49e1cc6] New upstream version 2.14.1
  * [7f6f29e] Drop patches merged upstream in 2.14.1
  * [ef03655] Install zsh completion files
  * [9606e70] Add systemd sd_notify support

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 30 Jan 2026 11:43:51 -0500
