## ltt-control 2.15.0

=== src/vendor/fmt/Makefile ===
--- 
+++ 
@@ -93,17 +93,24 @@
 target_triplet = x86_64-pc-linux-gnu
 subdir = src/vendor/fmt
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-am__aclocal_m4_deps = $(top_srcdir)/m4/ax_append_compile_flags.m4 \
+am__aclocal_m4_deps = $(top_srcdir)/m4/ax_ac_append_to_file.m4 \
+	$(top_srcdir)/m4/ax_ac_print_to_file.m4 \
+	$(top_srcdir)/m4/ax_add_am_macro_static.m4 \
+	$(top_srcdir)/m4/ax_am_macros_static.m4 \
+	$(top_srcdir)/m4/ax_append_compile_flags.m4 \
 	$(top_srcdir)/m4/ax_append_flag.m4 \
 	$(top_srcdir)/m4/ax_c___attribute__.m4 \
 	$(top_srcdir)/m4/ax_check_class.m4 \
 	$(top_srcdir)/m4/ax_check_classpath.m4 \
 	$(top_srcdir)/m4/ax_check_compile_flag.m4 \
+	$(top_srcdir)/m4/ax_check_gnu_make.m4 \
 	$(top_srcdir)/m4/ax_check_link_flag.m4 \
+	$(top_srcdir)/m4/ax_code_coverage.m4 \
 	$(top_srcdir)/m4/ax_compare_version.m4 \
 	$(top_srcdir)/m4/ax_config_feature.m4 \
 	$(top_srcdir)/m4/ax_cxx_compile_stdcxx.m4 \
 	$(top_srcdir)/m4/ax_define_dir.m4 \
+	$(top_srcdir)/m4/ax_file_escapes.m4 \
 	$(top_srcdir)/m4/ax_have_epoll.m4 \
 	$(top_srcdir)/m4/ax_java_options.m4 \
 	$(top_srcdir)/m4/ax_lib_socket_nsl.m4 \
@@ -224,7 +231,7 @@
   done | $(am__uniquify_input)`
 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/config/depcomp
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} '/home/jenkins/workspace/lttng-tools_v2.14_release/src/lttng-tools/config/missing' aclocal-1.17
+ACLOCAL = ${SHELL} '/home/jenkins/workspace/lttng-tools_v2.15_release/src/lttng-tools/config/missing' aclocal-1.17
 AMTAR = $${TAR-tar}
 AM_CFLAGS = -fvisibility=hidden -fno-strict-aliasing -Wall -Wextra -Wmissing-declarations -Wnull-dereference -Wundef -Wredundant-decls -Wshadow -Wsuggest-attribute=format -Wwrite-strings -Wformat=2 -Wstrict-aliasing -Wmissing-noreturn -Wduplicated-cond -Wduplicated-branches -Wlogical-op -Winit-self -Wno-incomplete-setjmp-declaration -Wno-gnu-folding-constant -Wdiscarded-qualifiers -Wmissing-prototypes -Wmissing-parameter-type -Wsuggest-final-types -Wsuggest-final-methods -Wold-style-definition -Wstrict-prototypes -pthread
 AM_CPPFLAGS = -I$(top_builddir)/include -I$(top_srcdir)/include -I$(top_builddir)/src -I$(top_srcdir)/src -include config.h  -I/build/include  -I/build/include 
@@ -234,9 +241,10 @@
 AR = ar
 ARCHTYPE = x86
 ASCIIDOC = /usr/bin/asciidoc
-AUTOCONF = ${SHELL} '/home/jenkins/workspace/lttng-tools_v2.14_release/src/lttng-tools/config/missing' autoconf
-AUTOHEADER = ${SHELL} '/home/jenkins/workspace/lttng-tools_v2.14_release/src/lttng-tools/config/missing' autoheader
-AUTOMAKE = ${SHELL} '/home/jenkins/workspace/lttng-tools_v2.14_release/src/lttng-tools/config/missing' automake-1.17
+ATOMIC_LIBS = 
+AUTOCONF = ${SHELL} '/home/jenkins/workspace/lttng-tools_v2.15_release/src/lttng-tools/config/missing' autoconf
+AUTOHEADER = ${SHELL} '/home/jenkins/workspace/lttng-tools_v2.15_release/src/lttng-tools/config/missing' autoheader
+AUTOMAKE = ${SHELL} '/home/jenkins/workspace/lttng-tools_v2.15_release/src/lttng-tools/config/missing' automake-1.17
 AWK = gawk
 BABELTRACE2_BIN = 
 BABELTRACE_BIN = 
@@ -244,6 +252,7 @@
 CC = gcc
 CCDEPMODE = depmode=gcc3
 CFLAGS = -g -O2
+CLANG2PY = $(realpath $(top_srcdir)/tests/vendor/ctypeslib2/ctypeslib/clang2py.py)
 CMD_DESCR_ADD_CONTEXT = Add context fields to be recorded
 CMD_DESCR_ADD_TRIGGER = Add a trigger
 CMD_DESCR_CLEAR = Clear a recording session
@@ -259,6 +268,7 @@
 CMD_DESCR_LIST = List recording sessions and instrumentation points
 CMD_DESCR_LIST_TRIGGERS = List triggers
 CMD_DESCR_LOAD = Load recording session configurations
+CMD_DESCR_RECLAIM_MEMORY = Reclaim channel memory
 CMD_DESCR_REGENERATE = Regenerate specific recording session data
 CMD_DESCR_REMOVE_TRIGGER = Remove a trigger
 CMD_DESCR_ROTATE = Archive the current trace chunk of a recording session
@@ -270,19 +280,3 @@
 CMD_DESCR_STOP = Stop recording sessions
 CMD_DESCR_TRACK = Allow specific processes to record events
 CMD_DESCR_UNTRACK = Disallow specific processes to record events
-CMD_DESCR_VERSION = Show LTTng-tools version information
-CMD_DESCR_VIEW = Launch a trace reader
-CONFDIR = /usr/local/etc
-CONFIG_LTTNG_SYSTEM_DATADIR = /usr/local/share
-CONSUMERD32_BIN = 
-CONSUMERD32_LIBDIR = 
-CONSUMERD64_BIN = 
-CONSUMERD64_LIBDIR = 
-CPP = gcc -E
-CPPFLAGS = -I/home/jenkins/workspace/lttng-tools_v2.14_release/deps/build/include
-CSCOPE = cscope
-CTAGS = ctags
-CXX = g++ -std=gnu++11
-CXXCPP = g++ -std=gnu++11 -E
-CXXDEPMODE = depmode=gcc3
-CXXFLAGS = -g -O2
