=== tests/vendor/ctypeslib2/requirements.txt ===
clang>=7.0
