=== debian/changelog ===
ltt-control (2.15.0-1) unstable; urgency=medium

  * [10c2ee1] New upstream version 2.15.0
  * [dfb4dc3] Drop patches merged upstream
  * [2a881d9] d/control: Bump ust dependency version for 2.15
  * [3863f8b] d/control: Update to new standards
  * [b4bde45] Update debian/copyright
  * [1fec147] Add patch to fix tests with '-Wl,-z,now'
  * [9ee4fc3] Update debian/liblttng-ctl0t64.symbols for 2.15.0
  * [9c7b797] Delete debian/files

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 20 Feb 2026 11:17:19 -0500
