=== debian/control ===
Source: ltt-control
Section: libs
Maintainer: Jon Bernard <jbernard@debian.org>
Uploaders: Michael Jeanson <mjeanson@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12),
  asciidoc,
  babeltrace2 <!nocheck>,
  bash-completion,
  bison,
  dh-python,
  libkmod-dev,
  libbabeltrace2-dev,
  liblttng-ust-dev (>= 2.15.0~),
  liblttng-ust-dev (<< 2.16.0~),
  libpopt-dev,
  liburcu-dev (>= 0.11.0~),
  libxml2-dev (>= 2.7.6~),
  pkgconf,
  procps <!nocheck>,
  python3-all-dev,
  python3-bt2 <!nocheck>,
  swig (>= 2.0),
  xmlto,
  xxd <!nocheck>
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/debian/ltt-control.git
Vcs-Browser: https://salsa.debian.org/debian/ltt-control
Homepage: https://lttng.org/

Package: lttng-tools
Section: utils
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: babeltrace2
Suggests: lttng-modules-dkms
Description: LTTng control and utility programs
 The LTTng project aims at providing highly efficient tracing tools for Linux.
 Its tracers help tracking down performance issues and debugging problems
 involving multiple concurrent processes and threads. Tracing across multiple
 systems is also possible.
 .
 This package provides the unified interface to control both the LTTng kernel
 and userspace (UST) tracers.

Package: liblttng-ctl0t64
Provides: ${t64:Provides}
Replaces: liblttng-ctl0
Breaks: liblttng-ctl0 (<< ${source:Version})
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LTTng control and utility library
 The LTTng project aims at providing highly efficient tracing tools for Linux.
 Its tracers help tracking down performance issues and debugging problems
 involving multiple concurrent processes and threads. Tracing across multiple
 systems is also possible.
 .
 This package provides the control libraries used by lttng-tools.

Package: liblttng-ctl-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, liblttng-ctl0t64 (= ${binary:Version})
Description: LTTng control and utility library (development files)
 The LTTng project aims at providing highly efficient tracing tools for Linux.
 Its tracers help tracking down performance issues and debugging problems
 involving multiple concurrent processes and threads. Tracing across multiple
 systems is also possible.
 .
 This package provides the development files for liblttng-ctl. This allows
 implementing trace control in external applications.

Package: python3-lttng
Section: python
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  liblttng-ctl0t64 (= ${binary:Version})
Provides: ${python3:Provides}
Description: LTTng control and utility Python bindings
 The LTTng project aims at providing highly efficient tracing tools for Linux.
 Its tracers help tracking down performance issues and debugging problems
 involving multiple concurrent processes and threads. Tracing across multiple
 systems is also possible.
 .
 This package provides the Python bindings to lttng.
